public class TestCaractereAlphabetique {

///////////////////////////////////////////////////
  
/* Test si un caractere est alphabetique ou non  */

  static boolean estAlphabetique(char c) {
    boolean res;
    if ( ( ( c >= 'a' ) && ( c <= 'z' ) ) ||
         ( ( c >= 'A' ) && ( c <= 'Z' ) ) ) {
      res = true; }
      else {
      res = false; }
    return res;
  }
  
///////////////////////////////////////////////////

/* Programme principal                           */

  public static void main(String [] args) {
    char caractere;
    boolean resultat;
    Ecran.afficher("SVP, un caractere : ");
    caractere = Clavier.saisirChar();  
    resultat = estAlphabetique(caractere);
    Ecran.afficherln("Test : ",resultat);
  }
}